'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.Application = void 0;
const http_1 = require("@supercharge/http");
const application_1 = require("@supercharge/application");
class Application extends application_1.Application {
    /**
     * Create a new application instance.
     *
     * @param basePath - the application root path
     */
    constructor(basePath) {
        super(basePath);
        this.registerCoreServiceProviders();
    }
    /**
     * Register the base service provider into the container.
     */
    registerCoreServiceProviders() {
        this
            .register(new http_1.HttpServiceProvider(this));
    }
}
exports.Application = Application;
